Public Class ucReestablecerClave
    Inherits ucBase

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    Protected Sub ASPxFormLayout1_E3_Click(sender As Object, e As EventArgs) Handles ASPxFormLayout1_E3.Click
        If Request.QueryString("cod") <> "" Then
            If UsuariosBusinessObject.ReestablecerClave(Request.QueryString("cod"), txtNuevaClave.Text).EventType = MSG.MsgType.Success Then
                CustomMessage("Se reestableció su contraseña. Puede ingresar al sistema.", "Notificación de Recuperación de Contraseña")
                'Response.Redirect("Default.aspx")
                ScriptManager.RegisterClientScriptBlock(Me, Me.GetType(), "success", "setInterval(function(){location.href='Default.aspx';},3000);", True)
            Else
                CustomMessage("No se pudo reestablecer la clave. El tiempo para validación expiró. Por favor, vuelva a solicitar la activación. Si esto no funciona intente crear su registro de nuevo", "Notificación de Recuperación de Contraseña")
            End If
        Else
            CustomMessage("El código de activación no es correcto. Por favor, vuelva a solicitar la activación o verifique su último correo enviado.", "Notificación de Recuperación de Contraseña")
        End If
    End Sub
End Class